<script>
import {defineComponent} from 'vue'
import store from "../../../../ed-2.0/src/store/store.js";

export default defineComponent({
	name: "MessageField",
	data() {
		return {
			messages: [],
			prompt: ""
		}
	},
	methods: {
		sendMessage() {
      store.dispatch('setUserMessage', this.prompt)
      store.dispatch('chat')
      this.prompt = ""
    },
    clearMessages() {
      store.dispatch('clear');
    }
  }
})
</script>

<template>
	<div>
		<v-textarea
			v-model="prompt"
			variant="outlined"
			no-resize
			rows="1"
			placeholder="Tell Ed what action you'd like to perform..."
			hide-details
			rounded="lg"
			@keydown.enter.prevent
			@keyup.enter="sendMessage"
		>
			<template #append-inner>
				<v-icon
				class="mr-2"
				icon="fa fa-paper-plane"
				@click="sendMessage()"
				/>
			</template>
		</v-textarea>
	</div>
	<div class="mt-1 text-left">
		<v-btn
			variant="text"
			elevation="0"
			class="text-none restart pa-1"
			@click="clearMessages()"
		>Restart conversation</v-btn>
	</div>
</template>

<style scoped>
:deep() .v-field__outline__start {
  border-top-left-radius: 8px;
  border-bottom-left-radius: 8px;
}

:deep() .v-field__outline__end {
  border-top-right-radius: 8px;
  border-bottom-right-radius: 8px;
}

.restart {
  font-size: 14px;
}
</style>